{% set url = content.field_link.0['#url'] %}
{% set img_src = content.field_image['#items'].0.entity.uri.value %}

<a {% if not url is empty %}href="{{ url }}"{% endif %} class="teaser-box hider {% if "On" in content.field_reverse_image.0 %}reversed{% endif %}">
    {% if not img_src is empty %}<img src="{{ file_url(img_src) }}" border="0" width="100%">{% endif %}
    <div>
        <h3>{{ content.field_title }}</h3>
        <p class="teaser-box-clamp">
            {{ content.field_description }}
        </p>
    </div>
</a>
